aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnton Bobov <abobov@gmail.com>2019-11-03 16:44:09 +0500
committerAnton Bobov <abobov@gmail.com>2019-11-03 16:47:21 +0500
commitd7ceb2c81316529e2d46e19489fc3b765ef7d84f (patch)
tree5f13da51437b6a8e934e37a52a2261c1fe03c673
parent0f5d6556337415ce7fdc3fdc200e88ef81fe3b61 (diff)
Integrate dotbot.
-rw-r--r--.gitmodules8
m---------dotbot0
-rwxr-xr-xinstall15
-rw-r--r--install.conf.yaml35
4 files changed, 56 insertions, 2 deletions
diff --git a/.gitmodules b/.gitmodules
index 227f35f..f77df55 100644
--- a/.gitmodules
+++ b/.gitmodules
@@ -12,5 +12,9 @@
path = files/.vim/bundle/Vundle.vim
url = https://github.com/VundleVim/Vundle.vim
[submodule "files/.tmux/plugins/tpm"]
- path = files/.tmux/plugins/tpm
- url = https://github.com/tmux-plugins/tpm
+ path = files/.tmux/plugins/tpm
+ url = https://github.com/tmux-plugins/tpm
+[submodule "dotbot"]
+ path = dotbot
+ url = https://github.com/anishathalye/dotbot
+ ignore = dirty
diff --git a/dotbot b/dotbot
new file mode 160000
+Subproject 5bb3c8a3437a55726a6bed191b008eff2afcda0
diff --git a/install b/install
new file mode 100755
index 0000000..5a7e72c
--- /dev/null
+++ b/install
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+set -e
+
+CONFIG="install.conf.yaml"
+DOTBOT_DIR="dotbot"
+
+DOTBOT_BIN="bin/dotbot"
+BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+
+cd "${BASEDIR}"
+git -C "${DOTBOT_DIR}" submodule sync --quiet --recursive
+git submodule update --init --recursive "${DOTBOT_DIR}"
+
+"${BASEDIR}/${DOTBOT_DIR}/${DOTBOT_BIN}" -d "${BASEDIR}" -c "${CONFIG}" "${@}"
diff --git a/install.conf.yaml b/install.conf.yaml
new file mode 100644
index 0000000..5d00e4b
--- /dev/null
+++ b/install.conf.yaml
@@ -0,0 +1,35 @@
+- defaults:
+ link:
+ relink: true
+
+- clean: ['~']
+
+- link:
+ ~/.aria2: files/.aria2
+ ~/.mpv: files/.mpv
+ ~/.lessfilter.sh: files/.lessfilter.sh
+ # Git
+ ~/.gitconfig: files/.gitconfig
+ ~/.gitignore: files/.gitignore
+ # Tmux
+ ~/.tmux.conf: files/.tmux.conf
+ ~/.tmux: files/.tmux/
+ # Vim
+ ~/.vim: files/.vim
+ ~/.vimrc: files/.vimrc
+ ~/.gvimrc: files/.gvimrc
+ # Zsh
+ ~/.zsh: files/.zsh
+ ~/.zshrc: files/.zshrc
+ ~/.zshenv: files/.zshenv
+ ~/bin: files/bin
+ ~/.config/:
+ glob: true
+ path: files/.config/*
+ create: true
+
+- create:
+ - ~/.z
+
+- shell:
+ - [git submodule update --init --recursive, Installing submodules]